/**
 * \file errorcodes.h
 * \brief Definition of error codes
 *
 * Dans ce fichier sont définis les codes d’erreur pouvant interrompre le
 * programme.
 */

#ifndef SRC_ERRORCODES_H_
#define SRC_ERRORCODES_H_

/// Pas d’erreur
#define NOERROR 0
/// Constante pour les erreurs liées aux arguments
#define ARGERROR 1
/// Constante pour les erreurs liées à \ref darray
#define PTR_ERROR 2
/// Constante pour les erreurs liées à la lecture et écriture de fichiers
#define FILE_IO_ERROR 3
/// Constante pour les erreurs liées au format de fichiers
#define FILE_FORMAT_ERROR 4

#endif /* SRC_ERRORCODES_H_ */
